| Kinetis SDK API Reference Manual 1.0.0-beta Freescale Semiconductor, Inc.

- Introduction
- Related Pages
- API Usage

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Enumerations
DMAMUX HAL driver
Direct Memory Access (DMA) | Enhanced Direct Memory Access (eDMA)

The section describes the programming interface of the DMAMUX HAL module. More...

## Enumerations
enum | dmamux_dma_request_source { kDmamuxDmaRequestSource = 64U }
| A constant for the length of the DMA hardware source. More...

## DMAMUX HAL function
void | dmamux_hal_init (uint8_t module)
| Initializes the DMAMUX module to the reset state. More...
static void | dmamux_hal_enable_channel (uint8_t module, uint8_t channel)
| Enables the DMAMUX channel. More...
static void | dmamux_hal_disable_channel (uint8_t module, uint8_t channel)
| Disables the DMAMUX channel. More...
static void | dmamux_hal_enable_period_trigger (uint8_t module, uint8_t channel)
| Enables the period trigger. More...
static void | dmamux_hal_disable_period_trigger (uint8_t module, uint8_t channel)
| Disables the period trigger. More...
static void | dmamux_hal_set_trigger_source (uint8_t module, uint8_t channel, uint8_t source)
| Configures the DMA request for the DMAMUX channel. More...

## Enumeration Type Documentation

enum dmamux_dma_request_source

This structure is used inside the DMA driver.

Enumerator
kDmamuxDmaRequestSource | Maximum number of the DMA requests allowed for the DMA mux.

## Function Documentation

void dmamux_hal_init | ( | uint8_t | module | ) |

Initializes the DMAMUX module to the reset state.

Parameters

  module | DMAMUX module index

static void dmamux_hal_enable_channel | ( | uint8_t | module,
|  | uint8_t | channel
| ) |  |
| inline static

Enables the hardware request. If enabled, the hardware request is sent to the corresponding DMA channel.

Parameters

  module | DMAMUX module.
  channel | DMAMUX channel.

static void dmamux_hal_disable_channel | ( | uint8_t | module,
|  | uint8_t | channel
| ) |  |
| inline static

Disable hardware request. If disabled, the hardware request is not sent to the corresponding DMA channel.

Parameters

  module | DMAMUX module.
  channel | DMAMUX channel.

static void dmamux_hal_enable_period_trigger | ( | uint8_t | module,
|  | uint8_t | channel
| ) |  |
| inline static

Parameters

  module | DMAMUX module.
  channel | DMAMUX channel.

static void dmamux_hal_disable_period_trigger | ( | uint8_t | module,
|  | uint8_t | channel
| ) |  |
| inline static

Parameters

  module | DMAMUX module.
  channel | DMAMUX channel.

static void dmamux_hal_set_trigger_source | ( | uint8_t | module,
|  | uint8_t | channel,
|  | uint8_t | source
| ) |  |
| inline static

Sets the trigger source for the DMA channel. The trigger source is in the file fsl_dma_request.h.

Parameters

  module | DMAMUX module.
  channel | DMAMUX channel.
  source | DMA request source.